Page MenuHomePhabricator

Flow: don't log exceptions for expected "Interwiki to somewiki not implemented" errors
Closed, ResolvedPublic

Description

The known Flow "Interwiki to somewiki not implemented" exception is generating a lot of exception.log entries. it was about 95% of exceptions today and is skewing our exceptions+fatals graphing. About 85% of the log entries originate on metawiki. There's no user-facing error from these, so Flow should just wfLogWarning() or do nothing when this is the exception, rather than call

\MWExceptionHandler::logException( $e )

The code is includes/Formatter/ContributionsQuery.php line 116 in 1.23wmf15, it moved since 1.23wmf14.

2014-02-22 07:11:30 mw1036 metawiki: [43691a42] /wiki/Special:Contributions/<SomeUser> Exception from line 99 of /usr/local/apache/common-local/php-1.23wmf14/extensions/Flow/includes/Model/Workflow.php: Interwiki to mediawikiwiki not implemented


Version: master
Severity: major

Details

Reference
bz61797

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:03 AM
bzimport set Reference to bz61797.
bzimport added a subscriber: Unknown Object (MLST).

Change 115322 had a related patch set uploaded by Bsitu:
Do not log expected Flow exceptions

https://gerrit.wikimedia.org/r/115322

Change 115322 merged by jenkins-bot:
Do not log expected Flow exceptions

https://gerrit.wikimedia.org/r/115322

Change 115430 had a related patch set uploaded by EBernhardson:
Do not log expected Flow exceptions

https://gerrit.wikimedia.org/r/115430

Change 115430 merged by jenkins-bot:
Do not log expected Flow exceptions

https://gerrit.wikimedia.org/r/115430

It isn't fixed! 5000 of these exceptions in the past 18 hours :-( All from

2014-03-03 08:40:37 mw1099 metawiki: [616cc4cf] /wiki/Special:Contributions/SomeUserNameHere Exception from line 165 of /usr/local/apache/common-local/php-1.23wmf15/extensions/Flow/includes/Model/Workflow.php: Interwiki to enwiki not implemented

The Gerrit changes above were to not log the exception in Formatter/Contributions.php , but as I wrote in comment 0, it's coming from Contributions*QUERY*.php, a different file:

#0 /usr/local/apache/common-local/php-1.23wmf15/extensions/Flow/includes/Formatter/ContributionsQuery.php(220): Flow\Model\Workflow->getArticleTitle()
#1 /usr/local/apache/common-local/php-1.23wmf15/extensions/Flow/includes/Formatter/ContributionsQuery.php(113): Flow\Formatter\ContributionsQuery->buildResult(Object(ContribsPager), Object(Flow\Model\PostRevision), 'topic')
...

Gerrit change I1a16348c2b03b comments out the other LogException site, we're backporting it to wmf15 and 16

No exceptions with this since the second backport.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:39 AM